import { Mappings } from './mappings';
/**
 * source : https://www.key-shortcut.com/en/writing-systems/abc-latin-alphabet
 */
export interface StringOptions {
    /**
     * overwrite or pass your own mappings.
     * existing mappings will be overwritten, else it'll be appended to defaults
     */
    mappings?: Mappings;
}
export interface RegexOptions extends StringOptions {
    /**
     * RegExp flags, ium. Defaults to i
     */
    flags?: string;
}
/** Generate a function that returns a RegExp, that can be reused with the same options */
export declare function toRegex(options?: RegexOptions, strong?: string, spaces?: string): (input: string) => RegExp;
